<div class="main_sec ">
    <div class="d-flex flex-row justify-content-end mb-3 pt-3">
      <div class="home_heading">
        <span class="welcome_msg_home ">
          
          Books
          <span class="welcome_msg_home d-none d-md-inline">
            in the Store
          </span>
        </span>
      </div>

      <div class="d-flex flex-row justify-content-end p-3 mr-2 container-fluid">
        <form class="d-flex">
          <input
            class="form-control btn-size"
            type="search"
            placeholder="Search Book"
            aria-label="Search"
           
            value={search}
          />
          <button
            class="btn-primary-button  btn-size"
            type="submit"
          >
            <i class="fas fa-search"></i>
          </button>
        </form>
      </div>
    </div>
    <div class={display_all}>
    <div class="container_flex">
      <!-- {list_of_books.map((book) => (
        <HomePageHelper key={book.id} each={book} />
      ))} -->
      
      <div class="col-12 col-md-4" *ngFor="let book of books">
        <div class="bdetailsbox ml-3 mr-3 mb-5 p-4">
          <h1 class="btitle">
            <span>Name:</span> {{book.name}}
          </h1>
          <p class="description">
            <span>Description:</span> 
            {{book.description}}
          </p>
  
          <p class="price">
            <span>Price:</span> Rs. {{book.price}} /-
          </p>
          <p class="authname">
            <span>Author Name:</span> {{book.authorname}}
          </p>
          <p class="pubname">
            <span>Publisher Name:</span> {{book.publishername}}
          </p>
          <p class="pubname">
            <span>Availability:</span> {{book.availability}}
          </p>
  
          <a routerLink="editbook/{{book._id}}">
            <a class="m-2 fontcolour">
              <i class="icon fas fa-edit fa-2x" ></i>
            </a>
        </a>
  
          <a routerLink="deletebook/{{book._id}}">
            <a class="m-2 fontcolour">
              <i class="icon fas fa-trash-alt fa-2x" ></i>
            </a>
        </a>
        </div>
      </div>
    </div>
    </div>
    <!-- <div class={display_search}>
    <div class="container_flex">
      {books.map((book) => (
        <HomePageHelper key={book.id} each={book} />
      ))}
      <div class="col-12 col-md-4">
        <div class="bdetailsbox ml-3 mr-3 mb-5 p-4">
          <h1 class="btitle">
            <span>Name:</span> book.name
          </h1>
          <p class="bdescription">
            <span>Description:</span> 
            book.description
          </p>
  
          <p class="price">
            <span>Price:</span> Rs. book.price /-
          </p>
          <p class="authname">
            <span>Author Name:</span> book.authorname
          </p>
          <p class="pubname">
            <span>Publisher Name:</span> book.publishername
          </p>
          <p class="pubname">
            <span>Availability:</span> availability
          </p>
  
          <a routerLink="/update_book">
            <a class="m-2 fontcolour">
              <i class="icon fas fa-edit fa-2x" ></i>
            </a>
        </a>
  
          <a routerLink="/delete_book">
            <a class="m-2 fontcolour">
              <i class="icon fas fa-trash-alt fa-2x" ></i>
            </a>
        </a>
        </div>
      </div>
    </div>
    </div> -->
  </div>